com.mapinfo.midev.style

## Interface IStyle

All Superinterfaces:
  ICopiable, Serializable

All Known Subinterfaces:
  IAreaStyle, ICompositeStyle, IGridStyle, ILineStyle, IPointStyle, IRasterStyle, ITextStyle

    public interface IStyle
    extends Serializable, ICopiable

Information used to add color, size, etc to an object to be rendered. The `IStyle` interface is empty but has several interfaces that extend it to provide type-specific types of styling.

### Method Summary

All Methods Instance Methods Abstract Methods
`IStyle` `getCopy()` Returns a 'deep', stand-alone copy of this `IStyle`.

### Method Detail

#### getCopy

    IStyle getCopy()

Returns a 'deep', stand-alone copy of this `IStyle`. Changes to the returned `IStyle` will have no effect on this `IStyle` and vise-versa.

Specified by:
  `getCopy` in interface `ICopiable`
Returns:
  a 'deep', stand-alone copy of this `IStyle`.